# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeCircle Class Reference

This class implements the mapping between classes
Circle from StepGeom which describes a circle from
Prostep and Circle from Geom.
.

`#include <StepToGeom_MakeCircle.hxx>`

Inheritance diagram for StepToGeom_MakeCircle:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeCircle (const Handle(StepGeom_Circle)&C)
Standard_EXPORT const Handle_Geom_Circle & | Value () const

## Private Attributes

Handle_Geom_Circle | theCircle

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeCircle::StepToGeom_MakeCircle | ( | const Handle(StepGeom_Circle)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeCircle::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCircle::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCircle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Circle& StepToGeom_MakeCircle::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Circle StepToGeom_MakeCircle::theCircle `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeCircle.hxx